Subject: bug#10276: 24.0.92; Filling in Mail mode

From: Richard Stallman <[email-masked]>
Date: Sun, 11 Dec 2011 12:12:37 -0500

Put the following in a buffer in Mail mode, go to after `1970.', and
type M-q.  It fills the following paragraph.

======================================================================
I was never a regular PBS viewer since I have not had a TV set since
1970.

this is a
test
======================================================================

In GNU Emacs 24.0.92.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2011-12-06 on theobromine2
configured using `configure  '-C' 'CFLAGS=-g -O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
h i s SPC i s SPC a RET t e s t C-p C-p C-p ESC q C-g 
C-e ESC q ESC q ESC x m a i l SPC m o d e RET ESC q 
C-_ C-a C-u C-p ESC x m DEL r e p o r t SPC e m a v 
s SPC b u g DEL DEL DEL DEL DEL c s SPC u g DEL DEL 
b u g RET F i l l i n g i n SPC m a i l SPC C-u C-b 
C-b C-b C-b C-b SPC ESC f ESC c SPC m o d e RET C-g 
C-b SPC SPC H o w e v e r , SPC I SPC s a w SPC t h 
e SPC s a m e SPC t h i n g SPC h ESC b ESC b ESC b 
ESC b ESC b ESC d n o t i c e d C-e a p p e n SPC t 
o SPC N P R SPC ( N o t SPC P r o g r e s s , v e DEL 
DEL DEL i v e , SPC R e a l l y ) ESC q SPC i n SPC 
t h e SPC 1 9 9 0 s . SPC SPC A t SPC t h a t SPC o 
i DEL DEL ESC DEL ESC DEL DEL DEL DEL , SPC a n d SPC 
t h a t SPC i s SPC w h y SPC I SPC s t o p p e d SPC 
d o n a t i n g ESC q . C-n C-c C-c C-@ C-u C-n C-n 
C-n ESC w ESC x ESC p RET

Recent messages:
Undo! [2 times]
Mark set [2 times]
Quit
Undo!
Quit
Auto-saving...done
Sending...
Wrote /home/rms/outgoing/out-11
Sending...done
Mark set

Load-path shadows:
None found.

Features:
(shadow emacsbug vc-bzr goto-addr thingatpt ind-util rmailsum
mule-util time-stamp novice parse-time vc-cvs texinfo dired-aux ispell
quail etags rmailout dabbrev multi-isearch help-mode view shell
pcomplete grep compile comint ring newcomment mailalias qp rmailmm
message sendmail format-spec rfc822 mml easymenu mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
regexp-opt t-mouse time-date battery paren cus-start cus-load tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/